package com.ruoyi.project.pssr.mapper;

import java.util.List;
import com.ruoyi.framework.aspectj.lang.annotation.DataScope;
import com.ruoyi.project.pssr.domain.TPssrPublic;

/**
 * 公用工程Mapper接口
 *
 * @author ssy
 * @date 2024-09-18
 */
public interface TPssrPublicMapper
{
    /**
     * 查询公用工程
     *
     * @param id 公用工程ID
     * @return 公用工程
     */
    public TPssrPublic selectTPssrPublicById(Long id);
    public int selectNoConfirmCount(Long subId);

    /**
     * 查询公用工程列表
     *
     * @param tPssrPublic 公用工程
     * @return 公用工程集合
     */
    
    public List<TPssrPublic> selectTPssrPublicList(TPssrPublic tPssrPublic);

    /**
     * 新增公用工程
     *
     * @param tPssrPublic 公用工程
     * @return 结果
     */
    public int insertTPssrPublic(TPssrPublic tPssrPublic);

    /**
     * 修改公用工程
     *
     * @param tPssrPublic 公用工程
     * @return 结果
     */
    public int updateTPssrPublic(TPssrPublic tPssrPublic);
    public int updateTPssrPublicByIds(TPssrPublic tPssrPublic);

    /**
     * 删除公用工程
     *
     * @param id 公用工程ID
     * @return 结果
     */
    public int deleteTPssrPublicById(Long id);

    /**
     * 批量删除公用工程
     *
     * @param ids 需要删除的数据ID
     * @return 结果
     */
    public int deleteTPssrPublicByIds(Long[] ids);
}
